xmlpp::exception Class Reference

Base class for all xmlpp exceptions. More...

`#include <libxml++/exceptions/exception.h>`

Inheritance diagram for xmlpp::exception:
[legend]

## Public Member Functions

| exception (const Glib::ustring& message)
virtual | ~exception () throw ()
virtual exception | Clone () const
virtual void | Raise () const
virtual const char* | what () const throw ()

## Detailed Description

Base class for all xmlpp exceptions.

## Constructor & Destructor Documentation

xmlpp::exception::exception | ( | const Glib::ustring & | message | ) |

explicit

virtual xmlpp::exception::~exception | ( |  | ) |
throw | ( |
| ) |  |

virtual

## Member Function Documentation

virtual exception xmlpp::exception::Clone | ( |  | ) | const

virtual

Reimplemented in xmlpp::parse_error, xmlpp::validity_error, and xmlpp::internal_error.

virtual void xmlpp::exception::Raise | ( |  | ) | const

virtual

Reimplemented in xmlpp::parse_error, xmlpp::validity_error, and xmlpp::internal_error.

virtual const char* xmlpp::exception::what | ( |  | ) | const
throw | ( |
| ) |  |

virtual